import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ComponentClass, ComponentType } from 'react';
import { TLoadingIndicatorProps } from '../LoadingIndicator/LoadingIndicator';
export declare const LOADING_INDICATION: symbol;
export declare type TRawLoadingIndicatonProps = {
    isVisible?: boolean;
    LoadingIndicator: ComponentType<TLoadingIndicatorProps>;
    theme: {
        container?: string;
        container_isVisible?: string;
        LoadingIndicator?: TLoadingIndicatorProps['theme'];
    };
};
export declare type TLoadingIndicationProps = PartialKeys<TRawLoadingIndicatonProps, 'LoadingIndicator' | 'theme'>;
export declare const LoadingIndication: ComponentClass<TLoadingIndicationProps>;
